package ima.uco.fr.nuit.solchecker;
/**
 * Checks that the percentage of women is not the same along columns
 * @author Quentin
 *
 */
public class ColumnConstraint implements Constraint {

	@Override
	public boolean checkConstraint(Solution s) {
		boolean isValid = true;
		
		Encart e = (Encart) s;
		
		int counter;
		int[] columnPercentage = new int [e.getSize()+1];
		for(int j = 1; j <= e.getSize(); j++){
			counter = 0;
			for(int i = 1; i <= e.getSize(); i++)
				counter += e.getValue(i, j);
			columnPercentage[j] = counter;
		}
		
		for(int j = 1; j <= e.getSize(); j++)
			for(int i = j+1; i <= e.getSize(); i++)
				if(columnPercentage[j] == columnPercentage[i])
					isValid = false;
		
		return isValid;
	}

}
