package ima.uco.fr.nuit.solchecker;
/**
 * Checks that the percentage of women is the same along rows
 * @author Quentin
 *
 */
public class RowConstraint implements Constraint{

	@Override
	public boolean checkConstraint(Solution s) {
		boolean isValid = true;

		Encart e = (Encart)s;

		int counter;
		int[] rowPercentage = new int [e.getSize()+1];
		for(int i = 1; i <= e.getSize(); i++){
			counter = 0;
			for(int j = 1; j <= e.getSize(); j++)
				counter += e.getValue(i, j);
			rowPercentage[i] = counter;
		}

		for(int i = 1; i <= e.getSize(); i++)
			for(int j = i+1; j <= e.getSize(); j++)
				if(rowPercentage[i] != rowPercentage[j])
					isValid = false;

		return isValid;
	}



}
